### Function

# Camel util_fill_message_info_user_headers

since: 3.42

#### Declaration [src]

    gboolean
    camel_util_fill_message_info_user_headers (
      CamelMessageInfo* info,
      const CamelNameValueArray* headers
    )

#### Description [src]

Fill `info` ‘s user-headers with the user-defined headers from the `headers` array.

Available since: 3.42

#### Parameters

`info`

  Type: `CamelMessageInfo`

  A `CamelMessageInfo`.

  The data is owned by the caller of the function.

`headers`

  Type: `CamelNameValueArray`

  A `CamelNameValueArray` with the headers to read from.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the `info`‘s user headers changed.